Description

I've found this through hammer.

Some fields, such as fullname for OS, aren't searchable. However, the api/UI throw

an ugly 500 reminder that the search term is not available.

From the UI side it's ugly but at least the user knows what's going on. API clients however, don't, and get a 500 error.

I'll try to fix both, and add fullname as a supported search term for OSs.

Associated revisions

Revision f9bc5a8e - 01/21/2014 12:02 PM - Daniel Lobato Garcia

fixes #3920 - prevent 500 ScopedSearch errors on the API, raise UI errors correctly

Revision 9b72da7d - 01/23/2014 11:31 AM - Daniel Lobato Garcia

fixes #3920 - prevent 500 ScopedSearch errors on the API, raise UI errors correctly

(cherry picked from commit f9bc5a8e5934aac9bd8d5488f84717d33e359501)

History

#1 - 12/21/2013 05:23 PM - Og Maciel

I was searching for a specific operating system by typing the name of the OS in the searchbox. They UI displayed this error:

PGError: ERROR: column reference "id" is ambiguous LINE 1: SELECT id FROM "operatingsystems" INNER JOIN "param

eters" p... ^ : SELECT id FROM "operatingsystems" INNER JOIN "parameters" parameters_324772 ON ("operatingsyst

ems".id = parameters_324772.reference_id) WHERE ((parameters_324772."name" = '') AND ("operatingsystems"."name

" ILIKE '%3yiltmqb%' OR "operatingsystems"."major" ILIKE '%3yiltmqb%' OR "operatingsystems"."minor" ILIKE '%3y

iltmqb%' OR "operatingsystems"."description" ILIKE '%3yiltmqb%' OR "operatingsystems"."type" ILIKE '%3yiltmqb%

' OR "architectures"."name" ILIKE '%3yiltmqb%' OR "media"."name" ILIKE '%3yiltmqb%' OR "config_templates"."nam

e" ILIKE '%3yiltmqb%' OR parameters_324772."value" ILIKE '%3yiltmqb%')) ORDER BY operatingsystems.name LIMIT 2

0 OFFSET 0

 Searching by using the pattern "name = $FOO" works though.

Could we get this done within the next sprint?

#2 - 12/23/2013 10:45 AM - Daniel Lobato Garcia

We probably should finish this as it affects Hammer as well.

Basically the way we handle ScopedSearch errors works for a few controllers but not for most of them. 

broken: usergroups

                      settings

                      models

                      images

                      bookmarks

                      architectures
                      trends

                      media

                      roles

                      auth_source_ldaps

                      smart_proxy

                      ptables

                      operatingsystems

                      environments

                      domains

                      common_parametesr

                      subnets

 
fine:   compute_resources

                      hosts

                      reports

                      users

                      lookup_values

                      hostgroups

                      config_templates

                      puppetclasses

                      autosign

                      lookup_keys

                      puppetca

                      fact_values

                      audits

 
n/a:    statistics

                      dashboard

                      facts

                      about

                      compute_resources_vms

 I'm on it now, and probably after this we should refactor it all into a rails concern to handle errors. Error handling code is sprinkled all around

Foreman.

#3 - 01/03/2014 04:00 PM - Daniel Lobato Garcia

https://github.com/theforeman/foreman/pull/1126

#4 - 01/06/2014 09:01 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.3

#5 - 01/09/2014 02:11 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#6 - 01/21/2014 10:47 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#7 - 01/21/2014 12:31 PM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f9bc5a8e5934aac9bd8d5488f84717d33e359501.
